=== debian/changelog ===
geos (3.5.0-4) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Add patch to fix isnan() detection in configure.
  * Add patch to use std::isnan() in platform.h too.
    (closes: #831177)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 Jul 2016 12:11:04 +0200

geos (3.5.0-3) unstable; urgency=medium

  * Disable PHP support, SWIG doesn't support PHP 7 yet.
  * Add patch to fix spelling errors.
  * Enable all hardening buildflags.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Mar 2016 13:26:06 +0100

geos (3.5.0-2) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Bump Standards-Version to 3.9.7, no changes.
  * Update upstream URLs to use HTTPS.
  * Add dependency on php5-common to php5-geos for php5enmod.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 07 Mar 2016 21:34:23 +0100

geos (3.5.0-1) unstable; urgency=medium

  * Move from experimental to unstable.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Aug 2015 15:29:22 +0200

geos (3.5.0-1~exp2) experimental; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 20 Aug 2015 10:52:14 +0200

geos (3.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop libgeos-ruby1.8 transitional package.
  * Bump debhelper compatibility to 9.
  * Update copyright file, changes:
    - Group copyright holders by license
    - Drop .0 from GPL license shortname
    - Update license & copyright for new & modified files
  * Only clean generated libgeos++-dev.install.
  * Drop patches applied upstream, refresh remaining patches.
  * Enable verbose test output.
  * Ignore test failures on all architectures, to not fail the entire
    build.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 19 Aug 2015 14:56:09 +0200

geos (3.4.2-8~exp3) experimental; urgency=medium

  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 15 Aug 2015 11:52:06 +0200

geos (3.4.2-8~exp2) experimental; urgency=medium

  * Update symbols for other architectures.
  * Use multi-line uscan options, force lowercase RC in uversionmangle.
  * Fix Breaks/Replaces version for experimental pre-releases.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 03 Aug 2015 12:35:52 +0200

geos (3.4.2-8~exp1) experimental; urgency=medium

  * Sync control & control.in to not lose libjs-jquery dependency.
  * Append v5 to library package names for GCC 5 transition.
  * Update symbols for amd64.
  * Use dh_install --list-missing.
  * Explicitly remove .la files, not installed.
  * Explicitly remove static library for Ruby, not installed.
  * Explicitly remove geos.h & .inl files, not installed.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 01 Aug 2015 20:08:03 +0200

geos (3.4.2-7) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.
  * Use jquery.js from libjs-jquery instead of doxygen copy.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 27 Apr 2015 10:14:34 +0200

geos (3.4.2-7~exp1) experimental; urgency=medium

  * Add upstream metadata.
  * Update my email to @debian.org address.
  * Use pkgkde-gensymbols & pkgkde-symbolshelper to handle C++ symbols.
  * Add patch to disable HTML timestamps in Doxygen to allow
    reproducible builds.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Feb 2015 18:22:00 +0100
