=== debian/changelog ===
geos (3.5.1-1) unstable; urgency=medium

  * Use dh_install -a instead of deprecated --same-arch option.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 31 Oct 2016 07:40:32 +0100

geos (3.5.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Remove disabled PHP support, has split off into separate upstream project.
  * Drop ruby build dependency, pulled in via ruby-all-dev.
  * Limit watch file to 3.5.x releases.
  * Drop isnan patches, applied upstream. Refresh remaining patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Oct 2016 20:19:25 +0200
