=== debian/control ===
--- 
+++ 
@@ -5,16 +5,11 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper (>= 9),
-#               dh-php,
+               dh-autoreconf,
                doxygen,
-               swig,
-               ruby,
+               pkg-kde-tools,
                ruby-all-dev,
-#               php-dev,
-#               phpunit,
-               chrpath,
-               dh-autoreconf,
-               pkg-kde-tools
+               swig
 Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/geos.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-grass/geos.git
@@ -37,7 +32,7 @@
 Package: libgeos++-dev
 Architecture: any
 Section: libdevel
-Depends: libgeos-3.5.0 (= ${binary:Version}),
+Depends: libgeos-3.5.1 (= ${binary:Version}),
          libgeos-dev,
          ${misc:Depends}
 Suggests: libgdal-doc
@@ -76,7 +71,7 @@
  This package contains the C library. A C++ library is provided
  by the libgeos-* package.
 
-Package: libgeos-3.5.0
+Package: libgeos-3.5.1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -128,24 +123,12 @@
  .
  This package contains the Ruby bindings for GEOS.
 
-#Package: php-geos
-#Architecture: any
-#Section: web
-#Depends: ${shlibs:Depends},
-#         ${misc:Depends}
-#Description: GEOS bindings for PHP
-# GEOS provides a spatial object model and fundamental geometric
-# functions. It implements the geometry model defined in the
-# OpenGIS Consortium Simple Features Specification for SQL.
-# .
-# This package contains the PHP bindings for GEOS.
-
 Package: libgeos-dbg
 Architecture: any
 Section: debug
 Priority: extra
 Pre-Depends: ${misc:Pre-Depends}
-Depends: libgeos-3.5.0 (= ${binary:Version}),
+Depends: libgeos-3.5.1 (= ${binary:Version}),
          libgeos-c1v5 (= ${binary:Version}),
          ${misc:Depends}
 Description: Debugging symbols for the GEOS library
