=== debian/rules ===
--- 
+++ 
@@ -17,8 +17,6 @@
 
 # testrunner fails on some architectures
 DEB_BUILD_ARCH      ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
-
-#PHPAPI=$(shell php-config --phpapi)
 
 # Guessing geos version, which is required for C++ binding support
 VER_MAJOR=$(shell grep ^VERSION_MAJOR configure.*|cut -d= -f2)
@@ -53,7 +51,6 @@
 		--host=$(DEB_HOST_GNU_TYPE) \
         	--build=$(DEB_BUILD_GNU_TYPE) \
         	--enable-ruby \
-        	--disable-php \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info \
 		$(CONFFLAGS) \
@@ -78,23 +75,13 @@
 	rm -f debian/tmp/usr/include/geos.h
 	find debian/tmp/usr/include/geos -name "*.inl" -delete
 
-	# install PHP module to version specific directory
-	#echo 'misc:Depends=phpapi-'$(PHPAPI) >> debian/php-geos.substvars
-
-	# TODO: Use dh_php to install geos.ini
-	#-mkdir -p debian/tmp/etc/php/7.0/mods-available/
-	#install -m644 debian/geos.ini debian/tmp/etc/php/7.0/mods-available/
-
-	# Strip RPATH
-	#chrpath --delete debian/tmp/usr/lib/php/*/geos.so
-
 	# Remove .la files
 	find debian/tmp/usr/lib -name '*.la' -delete
 
 	# Remove static library for Ruby
 	rm -f debian/tmp/usr/lib/*/ruby/*/*/*.a
 
-	dh_install --same-arch --list-missing
+	dh_install -a --list-missing
 
 	# remove the library from the -dev package
 	rm -f $(CURDIR)/debian/libgeos-dev/usr/lib/*/libgeos-*.so
